Security Enhanced Linux Reference Policy

# Layer: system

## Module: hostname

Interfaces

### Description:

Policy for changing the system host name.

### Interfaces:

hostname_domtrans( domain )

##### Summary

Execute hostname in the hostname domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

hostname_exec( domain )

##### Summary

Execute hostname in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hostname_run( domain , role )

##### Summary

Execute hostname in the hostname domain, and allow the specified role the hostname domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return